package com.sksamuel.scoot.rest.client

/** @author Stephen Samuel */
sealed abstract class RemoteResponse[T] {

    def result: Option[T]
}

class RemoteSuccess[T](res: Option[T]) extends RemoteResponse[T] {
    def result = res
}

class RemoteFailure extends RemoteResponse[Nothing] {

    def result = None
}

object RemoteResponse {

}